Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178353 - notify-daemon needs to key off of an XSelection to see if a composite manager is running
Summary: notify-daemon needs to key off of an XSelection to see if a composite manager...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: notify-daemon
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-19 19:40 UTC by John (J5) Palmieri
Modified: 2013-03-13 04:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 22:39:05 UTC


Attachments (Terms of Use)

Description John (J5) Palmieri 2006-01-19 19:40:47 UTC
Description of problem:
Right now we check the visual to see if we use shaped or compsite windows but if
we have an ARGB visual but no comp manager running we get an ugly black box
where it should be transparent.
  
How to fix:

Check to see if an XSelection has been grabed by a comp manager.  If so then use
composite, if not, use shaped windows.  This should be dynamic.  If the
selection goes away, start shaping the window.  If a new comp manager grabs the
selection start using composite.  This involves simply flipping a switch in the
eggnotificationbubble instance struct (I think it is has_composite or do_composite).

Standerdize on some name like X_COMP_MANAGER_ACTIVE

Comment 1 Christopher Aillon 2006-02-03 22:39:05 UTC
CM_Sn where n is the screen number on the current display, for parity with
WM_Sn.  In rawhide.


Note You need to log in before you can comment on or make changes to this bug.